<template>
  <div>
    <h1>{{ msg }}</h1>
  </div>
</template>

<script>
export default {
  name: 'Keepalive',
  data () {
    return {
      msg: 'Keepalive'
    }
  },
  created(){
      console.log('keepalive组件Created')
  },
  mounted(){
      console.log('keepalive组件mounted')
  },
  activated(){
    console.log('再次渲染缓存组件activated');
  },
  deactivated(){
    console.log('销毁渲染缓存组件deactivated');
  },
  methods: {
    goBlack(){
      this.$router.push({
        name:'Home'
      });
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
